package ctbrec.ui;

import javafx.scene.control.ContextMenu;
import javafx.scene.input.MouseButton;
import javafx.scene.input.MouseEvent;

public class UiUtils {

    private UiUtils() {}

    public static void disableRightClickFor(ContextMenu menu) {
        menu.addEventFilter(MouseEvent.MOUSE_RELEASED, event -> {
            if (event.getButton() == MouseButton.SECONDARY) {
                event.consume();
            }
        });
    }
}
