package ctbrec.recorder.download;

import java.time.Instant;

public abstract class AbstractDownload implements Download {

    protected Instant startTime;
    protected Instant rescheduleTime = Instant.now();

    @Override
    public Instant getStartTime() {
        return startTime;
    }

    @Override
    public Instant getRescheduleTime() {
        return rescheduleTime;
    }
}
